package org.academiadecodigo.enuminatti.helloworldspringmvc.services;

import org.academiadecodigo.enuminatti.helloworldspringmvc.models.Bootcamp;
import org.academiadecodigo.enuminatti.helloworldspringmvc.persistence.TransactionException;

import java.util.List;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public interface BootcampService {
    void addBootcamp(Bootcamp bootcamp) throws TransactionException;

    void editBootcamp(Bootcamp bootcamp);

    Bootcamp getById(Integer bootcampId);

    List<Bootcamp> getBootcampList();

    Long count();

    void remove(Integer id);
}
